Z3 |

Data Structures | Public Member Functions | Properties
ParamDescrs Class Reference

A ParamDescrs describes a set of parameters. More...

Inheritance diagram for ParamDescrs:

## Data Structures
class | DecRefQueue

## Public Member Functions
void | Validate (Params p)
| validate a set of parameters. More...
Z3_param_kind | GetKind (Symbol name)
| Retrieve kind of parameter. More...
string | GetDocumentation (Symbol name)
| Retrieve documentation of parameter. More...
override string | ToString ()
| Retrieves a string representation of the ParamDescrs. More...
Public Member Functions inherited from Z3Object
void | Dispose ()
| Disposes of the underlying native Z3 object. More...

## Properties
Symbol[] | Names`[get]`
| Retrieve all names of parameters. More...
uint | Size`[get]`
| The size of the ParamDescrs. More...

## Detailed Description

A ParamDescrs describes a set of parameters.

Definition at line 28 of file ParamDescrs.cs.

## Member Function Documentation

## ◆ GetDocumentation()

string GetDocumentation | ( | Symbol | name | ) |
| inline

Retrieve documentation of parameter.

Definition at line 51 of file ParamDescrs.cs.

52 {
53 Debug.Assert(name != null);
54 return Native.Z3_param_descrs_get_documentation(Context.nCtx, NativeObject, name.NativeObject);
55 }

## ◆ GetKind()

Z3_param_kind GetKind | ( | Symbol | name | ) |
| inline

Retrieve kind of parameter.

Definition at line 42 of file ParamDescrs.cs.

43 {
44 Debug.Assert(name != null);
45 return (Z3_param_kind)Native.Z3_param_descrs_get_kind(Context.nCtx, NativeObject, name.NativeObject);
46 }
Z3_param_kind
Z3_param_kind
The different kinds of parameters that can be associated with parameter sets. (see Z3_mk_params).
Definition: z3_api.h:1317

## ◆ ToString()

override string ToString | ( |  | ) |
| inline

Retrieves a string representation of the ParamDescrs.

Definition at line 84 of file ParamDescrs.cs.

85 {
86 return Native.Z3_param_descrs_to_string(Context.nCtx, NativeObject);
87 }

## ◆ Validate()

void Validate | ( | Params | p | ) |
| inline

validate a set of parameters.

Definition at line 33 of file ParamDescrs.cs.

34 {
35 Debug.Assert(p != null);
36 Native.Z3_params_validate(Context.nCtx, p.NativeObject, NativeObject);
37 }

## Property Documentation

## ◆ Names

Symbol [] Names
| get

Retrieve all names of parameters.

Definition at line 60 of file ParamDescrs.cs.

61 {
62 get
63 {
64 uint sz = Native.Z3_param_descrs_size(Context.nCtx, NativeObject);
65 Symbol[] names = new Symbol[sz];
66 for (uint i = 0; i < sz; ++i) {
67 names[i] = Symbol.Create(Context, Native.Z3_param_descrs_get_name(Context.nCtx, NativeObject, i));
68 }
69 return names;
70 }
71 }

## ◆ Size

uint Size
| get

The size of the ParamDescrs.

Definition at line 76 of file ParamDescrs.cs.

77 {
78 get { return Native.Z3_param_descrs_size(Context.nCtx, NativeObject); }
79 }